Overview | Modules | Class Hierarchy | Classes | Members

# tlp::MouseEdgeBuilder Class Reference
[Mouse_interactor]

`#include <MouseEdgeBuilder.h>`

Inherits tlp::InteractorComponent.

Inheritance diagram for tlp::MouseEdgeBuilder:

[legend]
Collaboration diagram for tlp::MouseEdgeBuilder:

[legend]
List of all members.

## Public Member Functions

- MouseEdgeBuilder ()
- ~MouseEdgeBuilder ()
- bool draw (GlMainWidget *)
- bool eventFilter (QObject *, QEvent *)
- void initObserver (Graph *)
- void clearObserver ()
- void delNode (Graph *, const node)
- void destroy (Graph *)
- void afterSetNodeValue (PropertyInterface *, const node)
- void destroy (PropertyInterface *)
- InteractorComponent * clone ()

## Constructor & Destructor Documentation

tlp::MouseEdgeBuilder::MouseEdgeBuilder | ( |  | ) |

tlp::MouseEdgeBuilder::~MouseEdgeBuilder | ( |  | ) |

## Member Function Documentation

void tlp::MouseEdgeBuilder::afterSetNodeValue | ( | PropertyInterface * | ,
|  | const | node
| ) |

void tlp::MouseEdgeBuilder::clearObserver | ( |  | ) |

InteractorComponent* tlp::MouseEdgeBuilder::clone | ( |  | ) | `[inline, virtual]`

| Clone this interactor component Implements tlp::InteractorComponent.

void tlp::MouseEdgeBuilder::delNode | ( | Graph * | ,
|  | const | node
| ) |

void tlp::MouseEdgeBuilder::destroy | ( | PropertyInterface * |  | ) |

void tlp::MouseEdgeBuilder::destroy | ( | Graph * |  | ) |

bool tlp::MouseEdgeBuilder::draw | ( | GlMainWidget * |  | ) | `[virtual]`

| This function draw interactor Reimplemented from tlp::InteractorComponent.

bool tlp::MouseEdgeBuilder::eventFilter | ( | QObject * | ,
|  | QEvent * |
| ) |

void tlp::MouseEdgeBuilder::initObserver | ( | Graph * |  | ) |

Tulip Software by LaBRI Visualization Team 2001 - 2010